#ifdef GL_ES
precision highp float;
#endif

varying vec4 varColor;
varying vec2 varTexCoord;

// textures
uniform sampler2D diffuseTexture;

void main(void)
{
  vec4 diffuse = texture2D(diffuseTexture, varTexCoord);
#ifdef ALPHA_TEST
  if (diffuse.a < 0.5) {
    discard;
  }
#endif  // ALPHA_TEST
  gl_FragColor = varColor * diffuse;
}
